[details=“Hyprland 0.56.2” - Hyprland DE - Arch]
Hyprland 0.56.2 built from branch v0.56.2 at commit efb50993780079460b0cbed1363e2166a2de1d9f clean
hyprpaper crashes when choosing a new wallpaper from the hamburger menu picker
coredumpctl list hyprpaper error: [string “return hl.dispatch(exec hyprpaper)”]:1: ‘)’ expected near ‘hyprpaper’ → Note: dispatch in lua is a shorthand for hl.dispatch(…), your syntax might need to be updated.
Fix:
Updating wallpaper.sh at ~/.config/hyprland-de/scripts/wallpaper.sh to the following:
--- a/~/.config/hyprland-de/scripts/wallpaper.sh
+++ b/~/.config/hyprland-de/scripts/wallpaper.sh
@@ -18,7 +18,7 @@
if [ -z "$HLDE_NO_HYPRPAPER" ]; then
killall hyprpaper > /dev/null || echo ""
- hyprctl dispatch exec hyprpaper || echo ""
+ hyprctl dispatch 'hl.dsp.exec_cmd("hyprpaper")' || echo ""
fi
Edits: Formatting